<?php
session_start();
include 'db_connect.php';

// Benutzer-ID aus der Session abrufen
$user_id = $_SESSION['user_id'] ?? null;

if ($user_id) {
    // Alle Tokens des Benutzers aus der auth_tokens-Tabelle löschen
    $stmt = $pdo->prepare('DELETE FROM auth_tokens WHERE user_id = ?');
    $stmt->execute([$user_id]);

    // Sitzungs-ID aus der Datenbank entfernen (falls gespeichert)
    $stmt = $pdo->prepare('UPDATE mitarbeiter SET session_id = NULL WHERE id = ?');
    $stmt->execute([$user_id]);
}

// Remember-Me-Cookie entfernen, falls vorhanden
if (isset($_COOKIE['remember_me'])) {
    // Cookie löschen (gleiche Parameter wie beim Setzen verwenden)
    setcookie('remember_me', '', time() - 3600, '/', '', true, true);
}

// Alle Session-Daten löschen
$_SESSION = [];
session_unset();
session_destroy();

// Sicherstellen, dass keine alten Session-Cookies mehr im Browser sind
setcookie(session_name(), '', time() - 3600, '/');

// Umleitung zur Login-Seite
header('Location: login.php');
exit();
?>
