<?php
session_start();
include 'db_connect.php';

// Überprüfung, ob der Benutzer angemeldet ist
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['startInventur']) && isset($_POST['aufgabe_id'])) {
    $aufgabe_id = intval($_POST['aufgabe_id']);

    // Überprüfen, ob die Aufgabe verfügbar ist
    $stmt = $pdo->prepare('SELECT status FROM aufgaben WHERE id = ?');
    $stmt->execute([$aufgabe_id]);
    $status = $stmt->fetchColumn();

    if ($status === 'offen') {
        // Status der Aufgabe auf 'in_bearbeitung' setzen
        $stmt = $pdo->prepare('UPDATE aufgaben SET status = ? WHERE id = ?');
        $stmt->execute(['in_bearbeitung', $aufgabe_id]);

        // Weiterleitung zur Inventur-Seite
        header('Location: inventur.php');
        exit();
    } else {
        // Fehlermeldung, wenn die Aufgabe nicht verfügbar ist
        $_SESSION['error'] = 'Diese Aufgabe wird bereits bearbeitet oder ist abgeschlossen.';
        header('Location: aufgaben.php');
        exit();
    }
}

?>